REM TI-83 AND TI-83 PLUS BUILD SCRIPT
CD "%SOURCE_DIR%"
SET PATH=%PATH%;"%COMPILE_DIR%"
ERRLOG START > "%ERROR_LOG%"
IF EXIST "%PROJECT_DIR%/bin/%SOURCE_FILE_NOEXT%.bin" DEL "%PROJECT_DIR%/bin/%SOURCE_FILE_NOEXT%.bin"
SET TASMTABS=%COMPILE_DIR%
ECHO Assembling %SOURCE_FILE%
TASM -80 -i -b "%SOURCE_FILE%" "%PROJECT_DIR%/bin/%SOURCE_FILE_NOEXT%.bin" | TASMERR /o >> "%ERROR_LOG%"
ECHO Linking...
8XPLINK ("%PROJECT_DIR%/bin/%SOURCE_FILE_NOEXT%.bin","%PROJECT_BINARY%") "%PROJECT_DIR%/bin/%PROJECT_NAME% - %BUILD_FILE_NOEXT%.8%1p" %2 /o /x >> "%ERROR_LOG%"
IF EXIST "%SOURCE_FILE_NOEXT%.bin" DEL "%SOURCE_FILE_NOEXT%.bin"
MOVE *.lst "%PROJECT_DIR%/bin/"
ERRLOG END >> "%ERROR_LOG%"