;==============================================================
; WLA-DX banking setup
;==============================================================
.memorymap
defaultslot 0
slotsize $8000
slot 0 $0000
.endme

.rombankmap
bankstotal 1
banksize $8000
banks 1
.endro

;==============================================================
; SDSC tag and SMS rom header
;==============================================================
.sdsctag 1.00, "$PROJECT_NAME$", "Release Notes", "Author"

.bank 0 slot 0

;==============================================================
; Boot section
;==============================================================
.org $0000
	di		; Disable interrupts
	im 1		; Interrupt mode 1
	jp main		; Jump to main program

;==============================================================
; Pause button handler
;==============================================================
.org $0066
	; Do nothing
	retn

;==============================================================
; Main program
;==============================================================

main:
	; Set up stack pointer
	ld sp,$DFF0

	; ...
